aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWerner Koch <[email protected]>2014-09-18 14:00:34 +0000
committerWerner Koch <[email protected]>2014-09-22 12:38:55 +0000
commit59b6f6f16e095162358ac2001aeb2c058de2fd1e (patch)
tree92324db762cc61b2b599827a9587e8bcd75eac8d
parentspeedo: Autodetect sha1sum tools. (diff)
downloadgnupg-59b6f6f16e095162358ac2001aeb2c058de2fd1e.tar.gz
gnupg-59b6f6f16e095162358ac2001aeb2c058de2fd1e.zip
speedo: Check that wget and gpgv are installed.
* build-aux/getswdb.sh: Check for required tools.
-rwxr-xr-xbuild-aux/getswdb.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/build-aux/getswdb.sh b/build-aux/getswdb.sh
index cef6c463a..a7796e240 100755
--- a/build-aux/getswdb.sh
+++ b/build-aux/getswdb.sh
@@ -94,6 +94,12 @@ fi
version=$(cat "$srcdir/../VERSION")
version_num=$(echo "$version" | cvtver)
+if ! $GPGV --version >/dev/null 2>/dev/null ; then
+ echo "command \"gpgv\" is not installed" >&2
+ echo "(please install an older version of GnuPG)" >&2
+ exit 1
+fi
+
#
# Download the list and verify.
#
@@ -107,6 +113,11 @@ if [ $skip_download = yes ]; then
exit 1
fi
else
+ if ! $WGET --version >/dev/null 2>/dev/null ; then
+ echo "command \"wget\" is not installed" >&2
+ exit 1
+ fi
+
if ! $WGET -q -O swdb.lst "$urlbase/swdb.lst" ; then
echo "download of swdb.lst failed." >&2
exit 1